--- build.sh.orig	2016-04-19 03:03:18.000000000 +1000
+++ build.sh	2022-05-27 07:29:08.000000000 +1000
@@ -12,11 +12,12 @@
 VERSION="3.09b"
 
 test "$CC" = "" && CC="gcc"
+test "$MAKE" = "" && MAKE="make"
 
-BASIC_CFLAGS="-Wall -Wno-format -I/usr/local/include/ \
-              -I/opt/local/include/ -DVERSION=\"$VERSION\" $CFLAGS"
+BASIC_CFLAGS="-Wall -Wno-format \
+              -DVERSION=\"$VERSION\" $CFLAGS"
 
-BASIC_LDFLAGS="-L/usr/local/lib/ -L/opt/local/lib $LDFLAGS"
+BASIC_LDFLAGS="$LDFLAGS"
 
 USE_CFLAGS="-fstack-protector-all -fPIE -D_FORTIFY_SOURCE=2 -g -ggdb \
             $BASIC_CFLAGS"
@@ -49,7 +50,7 @@
   echo "[*] Cleaning up build environment..."
   rm -f -- "$PROGNAME" *.exe *.o a.out *~ core core.[1-9][0-9]* *.stackdump COMPILER-WARNINGS 2>/dev/null
 
-  ( cd tools && make clean ) &>/dev/null
+  ( cd tools && $MAKE clean ) &>/dev/null
 
   if [ "$1" = "publish" ]; then
 
@@ -197,7 +198,7 @@
 
 rm -f "$TMP" "$TMP.c" "$TMP.log" || exit 1
 
-echo -e "#include \"types.h\"\nvolatile u8 tmp[6]; int main() { printf(\"%d\x5cn\", *(u32*)(tmp+1)); return 0; }" >"$TMP.c" || exit 1
+echo -e "#include <stdio.h>\n#include \"types.h\"\nvolatile u8 tmp[6]; int main() { printf(\"%d\x5cn\", *(u32*)(tmp+1)); return 0; }" >"$TMP.c" || exit 1
 $CC $USE_CFLAGS $USE_LDFLAGS "$TMP.c" -o "$TMP" &>"$TMP.log"
 
 if [ ! -x "$TMP" ]; then
@@ -318,6 +319,7 @@
 
 rm -f "$PROGNAME" || exit 1
 
+echo "$CC $USE_CFLAGS $USE_LDFLAGS \"$PROGNAME.c\" $OBJFILES -o \"$PROGNAME\" $USE_LIBS"
 $CC $USE_CFLAGS $USE_LDFLAGS "$PROGNAME.c" $OBJFILES -o "$PROGNAME" $USE_LIBS &>"$TMP.log"
 
 if [ ! -x "$PROGNAME" ]; then
@@ -349,6 +351,9 @@
 
 fi
 
+echo "[*] Compiling tools: "
+cd tools && CFLAGS="$USE_CFLAGS" LDFLAGS="$USE_LDFLAGS" $MAKE
+
 echo
 echo "Well, that's it. Be sure to review README. If you run into any problems, you"
 echo "can reach the author at <lcamtuf@coredump.cx>."
